org.appng.appngizer.controller

## Class SiteApplicationController

- java.lang.Object
- - org.appng.appngizer.controller.ControllerBase
  - - org.appng.appngizer.controller.SiteApplicationController

-     @RestController
      public class SiteApplicationController
      extends ControllerBase

- - ### Field Summary

    - ### Fields inherited from class org.appng.appngizer.controller.ControllerBase

      `configurer, context, coreService, databaseService, session, templateService`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SiteApplicationController()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.springframework.http.ResponseEntity<Void>` | `activateApplication(String site, String app)`
    `org.springframework.http.ResponseEntity<Void>` | `deactivateApplication(String site, String app)`
    `org.springframework.http.ResponseEntity<Application>` | `getApplication(String site, String app)`
    `org.springframework.http.ResponseEntity<Grants>` | `getGrantsForApplication(String site, String app)`
    `org.springframework.http.ResponseEntity<Grants>` | `grantApplicationForSites(String site, String appName, Grants grants)`
    `org.springframework.http.ResponseEntity<Applications>` | `listApplications(String site)`

    - ### Methods inherited from class org.appng.appngizer.controller.ControllerBase

      `getDatabaseStatus, getSharedSecret, onBusinessException, onConflictException, onConstraintViolationException`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SiteApplicationController

          public SiteApplicationController()

  - ### Method Detail

    - #### listApplications

          @GetMapping(value="/site/{site}/application")
          public org.springframework.http.ResponseEntity<Applications> listApplications(@PathVariable(value="site")
                                                                                                                                      String site)

    - #### getApplication

          @GetMapping(value="/site/{site}/application/{app}")
          public org.springframework.http.ResponseEntity<Application> getApplication(@PathVariable(value="site")
                                                                                                                                         String site,
                                                                                                                                         @PathVariable(value="app")
                                                                                                                                         String app)

    - #### grantApplicationForSites

          @PutMapping(value="/site/{site}/application/{app}/grants")
          public org.springframework.http.ResponseEntity<Grants> grantApplicationForSites(@PathVariable(value="site")
                                                                                                                                                     String site,
                                                                                                                                                     @PathVariable(value="app")
                                                                                                                                                     String appName,
                                                                                                                                                     @RequestBody
                                                                                                                                                     Grants grants)

    - #### getGrantsForApplication

          @GetMapping(value="/site/{site}/application/{app}/grants")
          public org.springframework.http.ResponseEntity<Grants> getGrantsForApplication(@PathVariable(value="site")
                                                                                                                                                    String site,
                                                                                                                                                    @PathVariable(value="app")
                                                                                                                                                    String app)

    - #### activateApplication

          @PostMapping(value="/site/{site}/application/{app}")
          public org.springframework.http.ResponseEntity<Void> activateApplication(@PathVariable(value="site")
                                                                                                                                        String site,
                                                                                                                                        @PathVariable(value="app")
                                                                                                                                        String app)

    - #### deactivateApplication

          @DeleteMapping(value="/site/{site}/application/{app}")
          public org.springframework.http.ResponseEntity<Void> deactivateApplication(@PathVariable(value="site")
                                                                                                                                            String site,
                                                                                                                                            @PathVariable(value="app")
                                                                                                                                            String app)

Copyright © 2011–2023 aiticon GmbH. All rights reserved.